<?php

declare(strict_types = 1);

/**
 * @file
 * Views hooks for the Date Point module.
 */
use Drupal\Core\StringTranslation\TranslatableMarkup as TM;
use Drupal\field\FieldStorageConfigInterface;

/**
 * Implements hook_field_views_data().
 */
function date_point_field_views_data(FieldStorageConfigInterface $field_storage): array {
  $data = \views_field_default_views_data($field_storage);
  foreach ($data as $table_name => $table_data) {
    $column = $field_storage->getName() . '_value';
    if ($field_storage->getType() === 'dp_date_time') {
      $data[$table_name][$column]['filter']['id'] = 'dp_date_time';
      $data[$table_name][$column . '__period'] = [
        'title' => $data[$table_name][$column]['title'] . ' (' . new TM('Period') . ')',
        'help' => $data[$table_name][$column]['help'],
        'filter' => ['id' => 'dp_date_time_period'] + $data[$table_name][$column]['filter'],
        'group' => $data[$table_name][$column]['group'],
      ];
    }
    elseif ($field_storage->getType() === 'dp_date') {
      $data[$table_name][$column]['filter']['id'] = 'dp_date';
    }
    elseif ($field_storage->getType() === 'dp_time') {
      $data[$table_name][$column]['filter']['id'] = 'dp_time';
    }
  }
  return $data;
}
