<?php

declare(strict_types=1);

namespace Drupal\date_point\Data;

use Drupal\Core\StringTranslation\TranslatableMarkup as TM;

/**
 * {@selfdoc}
 */
enum DateTimeBehavior: string {

  case MANUAL = 'manual';
  case CREATED = 'created';
  case UPDATED = 'updated';

  /**
   * Returns behavior options.
   *
   * @return array<string, \Drupal\Core\StringTranslation\TranslatableMarkup>
   */
  public static function getOptions(): array {
    return [
      self::MANUAL->value => new TM('Manual'),
      self::CREATED->value => new TM('Created'),
      self::UPDATED->value => new TM('Updated'),
    ];
  }

}
