<?php

declare(strict_types=1);

namespace Drupal\date_point\Plugin\Field\FieldWidget\Date;

use Drupal\Core\Field\FieldItemListInterface;
use Drupal\Core\Field\WidgetBase;
use Drupal\Core\Form\FormStateInterface;

/**
 * Plugin implementation of the 'dp_date' widget.
 *
 * @FieldWidget(
 *   id = "dp_date",
 *   label = @Translation("Date"),
 *   field_types = {"dp_date"},
 * )
 */
final class DateWidget extends WidgetBase {

  /**
   * {@inheritdoc}
   *
   * @param \Drupal\date_point\Plugin\Field\FieldType\Date\DateItemList $items
   */
  public function formElement(FieldItemListInterface $items, $delta, array $element, array &$form, FormStateInterface $form_state): array {
    $element['value'] = $element + [
      '#type' => 'date',
      '#default_value' => $items[$delta]->value ?: NULL,
    ];
    return $element;
  }

}
