<?php

declare(strict_types=1);

namespace Drupal\date_point\Plugin\Validation\Constraint\Time;

use Drupal\date_point\Data\Precision;
use Symfony\Component\Validator\Constraint;

/**
 * Provides a constraint for time point.
 *
 * @Constraint(
 *   id = "Time",
 *   label = @Translation("Time", context = "Validation"),
 * )
 */
final class TimeConstraint extends Constraint {

  /**
   * {@selfdoc}
   */
  public Precision $precision = Precision::SECONDS;

  /**
   * {@selfdoc}
   */
  public string $message = 'This value is not a valid time.';

}
