# Date Point Test

A module that helps to test services depending on system clock.

## Usage

```php
use Drupal\date_point_test\StateClock;

$clock = \Drupal::service('date_point.clock');

// When this module is enabled the default clock implementation
// is replaced with StateClock.
\assert($clock instanceof StateClock);
$clock->reset();

echo $clock->now()->format(\DateTimeImmutable::RFC3339), \PHP_EOL;

$clock->set(new \DateTimeImmutable('2024-01-01 00:00:00'));

echo $clock->now()->format(\DateTimeImmutable::RFC3339), \PHP_EOL;

$clock->modify('+5 days');

echo $clock->now()->format(\DateTimeImmutable::RFC3339), \PHP_EOL;
```
